



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Redis简介以及如何在Windows上安装Redis</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Redis简介以及如何在Windows上安装Redis</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 07:44:30 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　<strong>Redis简介</strong></p>
<p>　　Redis是一个速度非常快的非关系型内存数据库。</p>
<p>　　Redis提供了Java，C/C++，C#，PHP，JavaScript，Perl，Object-C，Python，Ruby，Erlang等客户端，使用很方便。</p>
<p>　　它可以存储键（key）与5种不同类型值（value）之间的映射，5中不同类型的值分别为字符串（string），列表（list），哈希（hash），集合（set）和有序集合（sorted set）等5种数据结构（<a href="http://www.cnblogs.com/Jason-Xiang/p/5355372.html" rel="external nofollow noreferrer">Redis数据结构及相应的命令</a>）。</p>
<p>　　Redis可以将存储在内存的键值对数据持久化到硬盘（<a href="http://www.cnblogs.com/Jason-Xiang/p/5359866.html" rel="external nofollow noreferrer">Redis的持久化选项</a>）。</p>
<p>　　Redis可以通过事务和锁机制确保数据的准确性和一致性（<a href="http://www.cnblogs.com/Jason-Xiang/p/5364252.html" rel="external nofollow noreferrer">Redis事务和分布式锁</a>）。</p>
<p>　　Redis可以使用同步特性来扩展读性能（<a href="http://www.cnblogs.com/Jason-Xiang/p/5363518.html" rel="external nofollow noreferrer">Redis的同步（主从复制）和Redis Sentinel</a>）。</p>
<p>　　Redis还可以使用客户端分片来扩展写性能（<a href="http://www.cnblogs.com/Jason-Xiang/p/5369069.html" rel="external nofollow noreferrer">Redis短结构与分片</a>）。</p>
<p>　　使用Redis而不是关系型数据库或者其他硬盘存储数据库，可以避免写入不必要的临时数据，也免去了对临时数据进行扫描或者删除的麻烦，实际中，应该根据自己的需求来决定是否使用Redis，是使用Redis作为主存储还是辅助存储，以及如何配置Redis的复制、持久化机制。</p>
<p>　　</p>
<p><strong>　　在Windows上安装Redis</strong></p>
<p><strong>　　</strong>在学习如何在Windows上安装Redis之前，我必须要说，在Windows上安装Redis并不值得推荐，因为Redis官方是不支持windows的，只是 Microsoft Open Tech group 在 GitHub上开发了一个Win64的版本。MS Open Tech 技术团队花了很多时间来测试最新构建的Windows版Redis(可在 MS Open Tech Github 仓库下载)。所以虽然是有一个团队在构建Windows版本我还是建议大家在生产环境中不要使用Window版本的Redis，应采用稳定的Linux版本，Windows环境主要是用于开发调试期间。</p>
<p>　　如果你只是想要在Windows环境下学习Redis的一些基本命令与操作，那就请看接下来的安装方法。</p>
<p>　　首先下载Redis的Windows版本：</p>
<p>　　32位下载地址：https://github.com/dmajkic/redis/downloads</p>
<p>　　64位下载地址：https://github.com/ServiceStack/redis-windows/tree/master/downloads</p>
<p>　　下载后直接解压一个版本的压缩文件（建议2.6以上版本），解压后文件目录如下图：</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/755765/201604/755765-20160405140523875-1994945354.png" /></p>
<p>　　安装好之后可以进行简单的测试，首先启动Redis服务器，运行cmd命令，找到Redis的安装路径，运行redis-server.exe文件，redis.windows.conf是Redis服务器的配置文件，在实际使用中需要按照需要配置此文件。</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/755765/201604/755765-20160405141316703-1210340789.png" /></p>
<p>　　上图中Redis服务器的默认端口为6379，Redis版本为3.0.501，Redis服务器启动好之后，双击文件目录中的redis-cli.exe启动客户端创建数据并测试。</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/755765/201604/755765-20160405142123125-10795259.png" /></p>
<p>　　如果启动的Redis服务器的端口不是6379或者服务器地址不是127.0.0.1，可以使用cmd命令来启动redis-cli.exe客户端并指定服务器地址和端口：</p>
<p>　　</p>
<div>
<pre class="prettyprint linenums">redis-cli -h ip地址 -p 端口号</pre>
</div>
<p>　　现在，Redis已经成功安装在Windows上了。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49gjene9.html">Mysql修改root密码</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyykodq.html">前端必须了解的布局常识：普通流（normal flow）</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4jx35q.html">js自动切换图片</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq15wxz9.html">go：interface&lbrace;&rcub;、断言与类型转换</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8krv2rq.html">HT for Web 3D游戏设计设计--汉诺塔（Towers of Hanoi）</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwx35k9.html">Java&mdash;&mdash;单选按钮：JRadioButton</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v71n48.html">用Meta标签控制360浏览器默认极速模式打开自己的网站和正则表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnk35d8.html">google-http-java-client&lpar;android学习篇&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvdkjzq.html">Android    Grapics图像类体系</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0pzwwq.html">RC2加密算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/96olv7y9.html">easy ui 下拉级联效果 ，下拉框绑定数据select控件</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd2jj48.html">【学习笔记】【Foundation】字符串</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w46owq.html">DOM中的NodeList与HTMLCollection</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkdrxj8.html">Linux 宿主机安装 MiniGUI</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jmj4o8.html">Email：2017</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdx1279.html">【PAT&lowbar;Basic日记】1002&period; 写出这个数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpvzrj9.html">网络编程应用：基于TCP协议【实现对象传输】--练习</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjyy338.html">使用github搭建网站</a>
		</li>
						<li><a href="https://www.batexi.com/a/9605vk49.html">Flask---第二个例子--Get和POST发送</a>
		</li>
						<li><a href="https://www.batexi.com/a/q253dx3q.html">A股主要指数的市盈率&lpar;PE&rpar;估值高度</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8e1ndmx9.html">Oracle EBS-SQL &lpar;PO-16&rpar;&colon;检查采购订单完成情况统计&period;sql</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1nd0x9.html">修改IE8搜索框为指定搜索引擎，如CSDN、百度知道等</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn13mvx8.html">cf466C Number of Ways</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwd6drl8.html">Scrapy URLError</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1d1kz9.html">【IPC通信】基于管道的popen和pclose函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn13vkj8.html">动态代理双剑客--JDK Proxy与CGLIB</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjzw5d9.html">去除express&period;js 3&period;5中报connect&period;multipart&lpar;&rpar; will be removed in connect 3&period;0的警告</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wr57lq.html">Unity 利用NGUI2&period;6&period;3做技能冷却的CD效果</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxn1lrv8.html">UVA 820 Internet Bandwidth</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4yx45jq.html">UVa 10562 Undraw the Trees</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
